////////////////////////////////////////////////////////////////////////////////
// Copyright(c) 1998-2010 SYSCOM.
// All rights reserved.
////////////////////////////////////////////////////////////////////////////////
// This SQL script is used to create a trigger on table sqlsp_doorcard.
//
// To run this script:
//    1. start database "DBSAMPLE5" with DBMaker Server.
//    2. start dmSQL tool.
//    3. connect to the database, SQL Command like:
//       connect to "DBSAMPLE5" "SYSADM" "";
//    4. run script in dmSQL, SQL command like:
//       // for Windows:
//       run "C:\DBMaker\5.2\samples\SQLSP\doorcardtrigger.sql";
//       // for Linux:
//       run "/APP_HOME/samples/SQLSP/doorcardtrigger.sql";
////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////
// trigger trg1_doorcard_ins
create trigger trg1_doorcard_ins after insert on sqlsp_doorcard 
for each row (
  execute procedure sqlsp_updateonduty(new.empid,new.flushDate,new.flushTime));
